{
  "openapi": "3.0.2",
  "info": {
    "title": "Box Platform API",
    "description": "[Box Platform](https://developer.box.com) provides functionality to provide access to content stored within [Box](https://box.com). It provides endpoints for basic manipulation of files and folders, management of users within an enterprise, as well as more complex topics such as legal holds and retention policies.",
    "termsOfService": "https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9",
    "contact": {
      "name": "Box, Inc",
      "url": "https://developer.box.com",
      "email": "devrel@box.com"
    },
    "license": {
      "name": "Apache-2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "version": "2025.0",
    "x-box-commit-hash": "21e370b9bd"
  },
  "servers": [
    {
      "url": "https://api.box.com/2.0",
      "description": "Box Platform API server."
    }
  ],
  "paths": {
    "/docgen_templates": {
      "post": {
        "operationId": "post_docgen_templates_v2025.0",
        "summary": "Create Box Doc Gen template",
        "description": "Marks a file as a Box Doc Gen template.",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "description": "Marks the provided file as a Box Doc Gen template.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DocGenTemplateCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "The file which has now been marked as a Box Doc Gen template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplate--Base"
                }
              }
            }
          },
          "400": {
            "description": "The server cannot or will not process the request due to an apparent client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Create Box Doc Gen template",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n     -H 'Content-Type: application/json' \\\n     -D '{\n        \"file\": {\n            \"id\": \"12345678\",\n            \"type\": \"file\"\n        }\n}'"
          },
          {
            "lang": "dotnet",
            "label": "Create Box Doc Gen template",
            "source": "await client.DocgenTemplate.CreateDocgenTemplateV2025R0Async(requestBody: new DocGenTemplateCreateRequestV2025R0(file: new FileReferenceV2025R0(id: file.Id)));"
          },
          {
            "lang": "swift",
            "label": "Create Box Doc Gen template",
            "source": "try await client.docgenTemplate.createDocgenTemplateV2025R0(requestBody: DocGenTemplateCreateRequestV2025R0(file: FileReferenceV2025R0(id: file.id)))"
          },
          {
            "lang": "java",
            "label": "Create Box Doc Gen template",
            "source": "client.getDocgenTemplate().createDocgenTemplateV2025R0(new DocGenTemplateCreateRequestV2025R0(new FileReferenceV2025R0(file.getId())))"
          },
          {
            "lang": "node",
            "label": "Create Box Doc Gen template",
            "source": "await client.docgenTemplate.createDocgenTemplateV2025R0({\n  file: new FileReferenceV2025R0({ id: file.id }),\n} satisfies DocGenTemplateCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Create Box Doc Gen template",
            "source": "client.docgen_template.create_docgen_template_v2025_r0(FileReferenceV2025R0(id=file.id))"
          }
        ]
      },
      "get": {
        "operationId": "get_docgen_templates_v2025.0",
        "summary": "List Box Doc Gen templates",
        "description": "Lists Box Doc Gen templates on which the user is a collaborator.",
        "parameters": [
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns a collection of templates.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplates"
                }
              }
            }
          },
          "400": {
            "description": "Returned if the user has passed in a malformed marker or limit value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "List Box Doc Gen templates",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "List Box Doc Gen templates",
            "source": "await client.DocgenTemplate.GetDocgenTemplatesV2025R0Async();"
          },
          {
            "lang": "swift",
            "label": "List Box Doc Gen templates",
            "source": "try await client.docgenTemplate.getDocgenTemplatesV2025R0()"
          },
          {
            "lang": "java",
            "label": "List Box Doc Gen templates",
            "source": "client.getDocgenTemplate().getDocgenTemplatesV2025R0()"
          },
          {
            "lang": "node",
            "label": "List Box Doc Gen templates",
            "source": "await client.docgenTemplate.getDocgenTemplatesV2025R0();"
          },
          {
            "lang": "python",
            "label": "List Box Doc Gen templates",
            "source": "client.docgen_template.get_docgen_templates_v2025_r0()"
          }
        ]
      }
    },
    "/docgen_templates/{template_id}": {
      "delete": {
        "operationId": "delete_docgen_templates_id_v2025.0",
        "summary": "Delete Box Doc Gen template",
        "description": "Unmarks file as Box Doc Gen template.",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "ID of the file which will no longer be marked as a Box Doc Gen template.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "123"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "Returns an empty response when a file is no longer marked as a Box Doc Gen template."
          },
          "400": {
            "description": "The server cannot or will not process the request due to an apparent client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the template is not found or the user does not have access to the associated template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Delete Box Doc Gen template",
            "source": "curl -L -X DELETE 'https://api.box.com/2.0/docgen_templates/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "Delete Box Doc Gen template",
            "source": "await client.DocgenTemplate.DeleteDocgenTemplateByIdV2025R0Async(templateId: NullableUtils.Unwrap(createdDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "Delete Box Doc Gen template",
            "source": "try await client.docgenTemplate.deleteDocgenTemplateByIdV2025R0(templateId: createdDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "Delete Box Doc Gen template",
            "source": "client.getDocgenTemplate().deleteDocgenTemplateByIdV2025R0(createdDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "Delete Box Doc Gen template",
            "source": "await client.docgenTemplate.deleteDocgenTemplateByIdV2025R0(\n  createdDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "Delete Box Doc Gen template",
            "source": "client.docgen_template.delete_docgen_template_by_id_v2025_r0(\n    created_docgen_template.file.id\n)"
          }
        ]
      },
      "get": {
        "operationId": "get_docgen_templates_id_v2025.0",
        "summary": "Get Box Doc Gen template by ID",
        "description": "Lists details of a specific Box Doc Gen template.",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "The ID of a Box Doc Gen template.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns a template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTemplate"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the template is not found or the user does not have access to the associated template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Doc Gen template by ID",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "Get Box Doc Gen template by ID",
            "source": "await client.DocgenTemplate.GetDocgenTemplateByIdV2025R0Async(templateId: NullableUtils.Unwrap(createdDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "Get Box Doc Gen template by ID",
            "source": "try await client.docgenTemplate.getDocgenTemplateByIdV2025R0(templateId: createdDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "Get Box Doc Gen template by ID",
            "source": "client.getDocgenTemplate().getDocgenTemplateByIdV2025R0(createdDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "Get Box Doc Gen template by ID",
            "source": "await client.docgenTemplate.getDocgenTemplateByIdV2025R0(\n  createdDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "Get Box Doc Gen template by ID",
            "source": "client.docgen_template.get_docgen_template_by_id_v2025_r0(\n    created_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_templates/{template_id}/tags": {
      "get": {
        "operationId": "get_docgen_templates_id_tags_v2025.0",
        "summary": "List all Box Doc Gen template tags in template",
        "description": "Lists all tags in a Box Doc Gen template.",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "ID of template.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "template_version_id",
            "in": "query",
            "description": "Id of template version.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of document generation template tags.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTags"
                }
              }
            }
          },
          "202": {
            "description": "Processing tags for the file.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenTagsProcessingMessage"
                }
              }
            }
          },
          "400": {
            "description": "Returned if the user has passed in a malformed marker or limit value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "The requested resource could not be found but may be available in the future.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "List all Box Doc Gen template tags in template",
            "source": "curl -L 'https://api.box.com/2.0/docgen_templates/12345678/tags' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "List all Box Doc Gen template tags in template",
            "source": "await client.DocgenTemplate.GetDocgenTemplateTagsV2025R0Async(templateId: NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "List all Box Doc Gen template tags in template",
            "source": "try await client.docgenTemplate.getDocgenTemplateTagsV2025R0(templateId: fetchedDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "List all Box Doc Gen template tags in template",
            "source": "client.getDocgenTemplate().getDocgenTemplateTagsV2025R0(fetchedDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "List all Box Doc Gen template tags in template",
            "source": "await client.docgenTemplate.getDocgenTemplateTagsV2025R0(\n  fetchedDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "List all Box Doc Gen template tags in template",
            "source": "client.docgen_template.get_docgen_template_tags_v2025_r0(\n    fetched_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_jobs/{job_id}": {
      "get": {
        "operationId": "get_docgen_jobs_id_v2025.0",
        "summary": "Get Box Doc Gen job by ID",
        "description": "Get details of the Box Doc Gen job.",
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "description": "Box Doc Gen job ID.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Details of the Box Doc Gen job.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJob"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the job is not found or the user does not have access to the associated job.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Doc Gen job by ID",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_jobs/12345\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get Box Doc Gen job by ID",
            "source": "await client.Docgen.GetDocgenJobByIdV2025R0Async(jobId: docgenJobItemFromList.Id);"
          },
          {
            "lang": "swift",
            "label": "Get Box Doc Gen job by ID",
            "source": "try await client.docgen.getDocgenJobByIdV2025R0(jobId: docgenJobItemFromList.id)"
          },
          {
            "lang": "java",
            "label": "Get Box Doc Gen job by ID",
            "source": "client.getDocgen().getDocgenJobByIdV2025R0(docgenJobItemFromList.getId())"
          },
          {
            "lang": "node",
            "label": "Get Box Doc Gen job by ID",
            "source": "await client.docgen.getDocgenJobByIdV2025R0(docgenJobItemFromList.id);"
          },
          {
            "lang": "python",
            "label": "Get Box Doc Gen job by ID",
            "source": "client.docgen.get_docgen_job_by_id_v2025_r0(docgen_job_item_from_list.id)"
          }
        ]
      }
    },
    "/docgen_jobs": {
      "get": {
        "operationId": "get_docgen_jobs_v2025.0",
        "summary": "List all Box Doc Gen jobs",
        "description": "Lists all Box Doc Gen jobs for a user.",
        "parameters": [
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of Box Doc Gen jobs.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs--Full"
                }
              }
            }
          },
          "400": {
            "description": "Returned if the user has passed in a malformed marker or limit value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "List all Box Doc Gen jobs",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_jobs\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "List all Box Doc Gen jobs",
            "source": "await client.Docgen.GetDocgenJobsV2025R0Async(queryParams: new GetDocgenJobsV2025R0QueryParams() { Limit = 10000L });"
          },
          {
            "lang": "swift",
            "label": "List all Box Doc Gen jobs",
            "source": "try await client.docgen.getDocgenJobsV2025R0(queryParams: GetDocgenJobsV2025R0QueryParams(limit: Int64(10000)))"
          },
          {
            "lang": "java",
            "label": "List all Box Doc Gen jobs",
            "source": "client.getDocgen().getDocgenJobsV2025R0(new GetDocgenJobsV2025R0QueryParams.Builder().limit(10000L).build())"
          },
          {
            "lang": "node",
            "label": "List all Box Doc Gen jobs",
            "source": "await client.docgen.getDocgenJobsV2025R0({\n  limit: 10000,\n} satisfies GetDocgenJobsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "List all Box Doc Gen jobs",
            "source": "client.docgen.get_docgen_jobs_v2025_r0(limit=10000)"
          }
        ]
      }
    },
    "/docgen_template_jobs/{template_id}": {
      "get": {
        "operationId": "get_docgen_template_jobs_id_v2025.0",
        "summary": "Get list of all Box Doc Gen jobs for template",
        "description": "Lists the users jobs which use this template.",
        "parameters": [
          {
            "name": "template_id",
            "in": "path",
            "description": "Id of template to fetch jobs for.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "A single Box Doc Gen template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs"
                }
              }
            }
          },
          "400": {
            "description": "Returned if the user has passed in a malformed marker or limit value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the template is not found or the user does not have access to the associated template.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen_template",
        "tags": [
          "Box Doc Gen templates"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "curl -L 'https://api.box.com/2.0/docgen_template_jobs/12345678' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>'"
          },
          {
            "lang": "dotnet",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "await client.DocgenTemplate.GetDocgenTemplateJobByIdV2025R0Async(templateId: NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);"
          },
          {
            "lang": "swift",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "try await client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(templateId: fetchedDocgenTemplate.file!.id)"
          },
          {
            "lang": "java",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "client.getDocgenTemplate().getDocgenTemplateJobByIdV2025R0(fetchedDocgenTemplate.getFile().getId())"
          },
          {
            "lang": "node",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "await client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(\n  fetchedDocgenTemplate.file!.id,\n);"
          },
          {
            "lang": "python",
            "label": "Get list of all Box Doc Gen jobs for template",
            "source": "client.docgen_template.get_docgen_template_job_by_id_v2025_r0(\n    fetched_docgen_template.file.id\n)"
          }
        ]
      }
    },
    "/docgen_batch_jobs/{batch_id}": {
      "get": {
        "operationId": "get_docgen_batch_jobs_id_v2025.0",
        "summary": "Get Box Doc Gen jobs by batch ID",
        "description": "Lists Box Doc Gen jobs in a batch.",
        "parameters": [
          {
            "name": "batch_id",
            "in": "path",
            "description": "Box Doc Gen batch ID.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": 123
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns a list of Box Doc Gen jobs in a Box Doc Gen batch.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenJobs"
                }
              }
            }
          },
          "400": {
            "description": "Returned if the user has passed in a malformed marker or limit value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the batch is not found or the user does not have access to the associated batch.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "curl -i -X GET \"https://api.box.com/2.0/docgen_batch_jobs/12345\" \\\n     -H 'box-version: 2025.0' \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "await client.Docgen.GetDocgenBatchJobByIdV2025R0Async(batchId: docgenBatch.Id);"
          },
          {
            "lang": "swift",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "try await client.docgen.getDocgenBatchJobByIdV2025R0(batchId: docgenBatch.id)"
          },
          {
            "lang": "java",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "client.getDocgen().getDocgenBatchJobByIdV2025R0(docgenBatch.getId())"
          },
          {
            "lang": "node",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "await client.docgen.getDocgenBatchJobByIdV2025R0(docgenBatch.id);"
          },
          {
            "lang": "python",
            "label": "Get Box Doc Gen jobs by batch ID",
            "source": "client.docgen.get_docgen_batch_job_by_id_v2025_r0(docgen_batch.id)"
          }
        ]
      }
    },
    "/docgen_batches": {
      "post": {
        "operationId": "post_docgen_batches_v2025.0",
        "summary": "Generate document using Box Doc Gen template",
        "description": "Generates a document using a Box Doc Gen template.",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DocGenBatchCreateRequest"
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "The created Batch ID.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocGenBatch--Base"
                }
              }
            }
          },
          "403": {
            "description": "The client does not have access rights to the content or resource requested.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "413": {
            "description": "The request payload exceeds the maximum allowed size.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "429": {
            "description": "The user has sent too many requests in a given amount of time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected condition was encountered on the server.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "docgen",
        "tags": [
          "Box Doc Gen"
        ],
        "x-box-unsupported-on-free-developer": true,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Generate document using Box Doc Gen template",
            "source": "curl -L 'https://api.box.com/2.0/docgen_batches' \\\n     -H 'box-version: 2025.0' \\\n     -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n     -D '{\n        \"file\": {\n            \"id\": \"12345678\",\n            \"type\": \"file\"\n        },\n        \"input_source\": \"api\",\n        \"destination_folder\": {\n            \"id\": \"12345678\",\n            \"type\": \"folder\"\n        },\n        \"output_type\": \"docx\",\n        \"document_generation_data\": [\n            {\n                \"generated_file_name\": \"Image test\",\n                \"user_input\": {\n                    \"order\": {\n                        \"id\": \"12305\",\n                        \"date\": \"18-08-2023\",\n                        \"country\": \"US\",\n                        \"expiryDate\": \"18-08-2024\",\n                        \"currency\": \"$\",\n                        \"amount\": 5060.5,\n                        \"taxRate\": 10,\n                        \"requester\": \"John\",\n                        \"approver\": \"Smith\",\n                        \"department\": \"Procurement\",\n                        \"paymentTerms\": \"30 days\",\n                        \"deliveryTerms\": \"30 days\",\n                        \"deliveryDate\": \"18-09-2023\",\n                        \"vendor\": {\n                            \"company\": \"Example company\",\n                            \"address\": {\n                                \"street\": \"Example street\",\n                                \"city\": \"Example city\",\n                                \"zip\": \"EX-456\"\n                            }\n                        },\n                        \"products\": [\n                            {\n                                \"id\": 1,\n                                \"name\": \"A4 Papers\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 100,\n                                \"price\": 29,\n                                \"amount\": 2900\n                            },\n                            {\n                                \"id\": 2,\n                                \"name\": \"Ink  Cartridge\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 40,\n                                \"price\": 39,\n                                \"amount\": 1560\n                            },\n                            {\n                                \"id\": 3,\n                                \"name\": \"Adhesive tape\",\n                                \"type\": \"non-fragile\",\n                                \"quantity\": 20,\n                                \"price\": 30,\n                                \"amount\": 600.5\n                            }\n                        ]\n                    }\n                }\n            }\n        ]`"
          },
          {
            "lang": "dotnet",
            "label": "Generate document using Box Doc Gen template",
            "source": "await client.Docgen.CreateDocgenBatchV2025R0Async(requestBody: new DocGenBatchCreateRequestV2025R0(file: new FileReferenceV2025R0(id: uploadedFileDocx.Id), inputSource: \"api\", destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.Id), outputType: \"pdf\", documentGenerationData: Array.AsReadOnly(new [] {new DocGenDocumentGenerationDataV2025R0(generatedFileName: \"test\", userInput: new Dictionary<string, object>() { { \"abc\", \"xyz\" } })})));"
          },
          {
            "lang": "swift",
            "label": "Generate document using Box Doc Gen template",
            "source": "try await client.docgen.createDocgenBatchV2025R0(requestBody: DocGenBatchCreateRequestV2025R0(file: FileReferenceV2025R0(id: uploadedFileDocx.id), inputSource: \"api\", destinationFolder: DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.id), outputType: \"pdf\", documentGenerationData: [DocGenDocumentGenerationDataV2025R0(generatedFileName: \"test\", userInput: [\"abc\": \"xyz\"])]))"
          },
          {
            "lang": "java",
            "label": "Generate document using Box Doc Gen template",
            "source": "client.getDocgen().createDocgenBatchV2025R0(new DocGenBatchCreateRequestV2025R0(new FileReferenceV2025R0(uploadedFileDocx.getId()), \"api\", new DocGenBatchCreateRequestV2025R0DestinationFolderField(folder.getId()), \"pdf\", Arrays.asList(new DocGenDocumentGenerationDataV2025R0(\"test\", mapOf(entryOf(\"abc\", \"xyz\"))))))"
          },
          {
            "lang": "node",
            "label": "Generate document using Box Doc Gen template",
            "source": "await client.docgen.createDocgenBatchV2025R0({\n  file: new FileReferenceV2025R0({ id: uploadedFileDocx.id }),\n  inputSource: 'api',\n  destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField({\n    id: folder.id,\n  }),\n  outputType: 'pdf',\n  documentGenerationData: [\n    {\n      generatedFileName: 'test',\n      userInput: { ['abc']: 'xyz' },\n    } satisfies DocGenDocumentGenerationDataV2025R0,\n  ],\n} satisfies DocGenBatchCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Generate document using Box Doc Gen template",
            "source": "client.docgen.create_docgen_batch_v2025_r0(\n    FileReferenceV2025R0(id=uploaded_file_docx.id),\n    \"api\",\n    CreateDocgenBatchV2025R0DestinationFolder(id=folder.id),\n    \"pdf\",\n    [\n        DocGenDocumentGenerationDataV2025R0(\n            generated_file_name=\"test\", user_input={\"abc\": \"xyz\"}\n        )\n    ],\n)"
          }
        ]
      }
    },
    "/enterprise_configurations/{enterprise_id}": {
      "get": {
        "operationId": "get_enterprise_configurations_id_v2025.0",
        "summary": "Get enterprise configuration",
        "description": "Retrieves the configuration for an enterprise.",
        "parameters": [
          {
            "name": "enterprise_id",
            "in": "path",
            "description": "The ID of the enterprise.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "3442311"
          },
          {
            "name": "categories",
            "in": "query",
            "description": "A comma-separated list of the enterprise configuration categories. Allowed values: `security`, `content_and_sharing`, `user_settings`, `shield`.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "example": [
              "security",
              "content_and_sharing",
              "user_settings",
              "shield"
            ],
            "explode": false
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns the enterprise configuration.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EnterpriseConfiguration"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "enterprise_configurations",
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get enterprise configuration",
            "source": "curl -i -X GET \"https://api.box.com/2.0/enterprise_configurations/3442311?categories=security,content_and_sharing\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get enterprise configuration",
            "source": "await adminClient.EnterpriseConfigurations.GetEnterpriseConfigurationByIdV2025R0Async(enterpriseId: enterpriseId, queryParams: new GetEnterpriseConfigurationByIdV2025R0QueryParams(categories: Array.AsReadOnly(new [] {\"user_settings\",\"content_and_sharing\",\"security\",\"shield\"})));"
          },
          {
            "lang": "swift",
            "label": "Get enterprise configuration",
            "source": "try await adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(enterpriseId: enterpriseId, queryParams: GetEnterpriseConfigurationByIdV2025R0QueryParams(categories: [\"user_settings\", \"content_and_sharing\", \"security\", \"shield\"]))"
          },
          {
            "lang": "java",
            "label": "Get enterprise configuration",
            "source": "adminClient.getEnterpriseConfigurations().getEnterpriseConfigurationByIdV2025R0(enterpriseId, new GetEnterpriseConfigurationByIdV2025R0QueryParams(Arrays.asList(\"user_settings\", \"content_and_sharing\", \"security\", \"shield\")))"
          },
          {
            "lang": "node",
            "label": "Get enterprise configuration",
            "source": "await adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(\n  enterpriseId,\n  {\n    categories: ['user_settings', 'content_and_sharing', 'security', 'shield'],\n  } satisfies GetEnterpriseConfigurationByIdV2025R0QueryParams,\n);"
          },
          {
            "lang": "python",
            "label": "Get enterprise configuration",
            "source": "admin_client.enterprise_configurations.get_enterprise_configuration_by_id_v2025_r0(\n    enterprise_id, [\"user_settings\", \"content_and_sharing\", \"security\", \"shield\"]\n)"
          }
        ]
      }
    },
    "/hubs": {
      "get": {
        "operationId": "get_hubs_v2025.0",
        "summary": "List all Box Hubs",
        "description": "Retrieves all Box Hubs for requesting user.",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "description": "The query string to search for Box Hubs.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "Box"
          },
          {
            "name": "scope",
            "in": "query",
            "description": "The scope of the Box Hubs to retrieve. Possible values include `editable`, `view_only`, and `all`. Default is `all`.",
            "required": false,
            "schema": {
              "type": "string",
              "default": "all"
            },
            "example": "all"
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The field to sort results by. Possible values include `name`, `updated_at`, `last_accessed_at`, `view_count`, and `relevance`. Default is `relevance`.",
            "required": false,
            "schema": {
              "type": "string",
              "default": "relevance"
            },
            "example": "name"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "The direction to sort results in. This can be either in alphabetical ascending (`ASC`) or descending (`DESC`) order.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            "example": "ASC"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns all Box Hubs for the given user or enterprise.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hubs"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "List all Box Hubs",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "List all Box Hubs",
            "source": "await client.Hubs.GetHubsV2025R0Async(queryParams: new GetHubsV2025R0QueryParams() { Scope = \"all\", Sort = \"name\", Direction = GetHubsV2025R0QueryParamsDirectionField.Asc });"
          },
          {
            "lang": "swift",
            "label": "List all Box Hubs",
            "source": "try await client.hubs.getHubsV2025R0(queryParams: GetHubsV2025R0QueryParams(scope: \"all\", sort: \"name\", direction: GetHubsV2025R0QueryParamsDirectionField.asc))"
          },
          {
            "lang": "java",
            "label": "List all Box Hubs",
            "source": "client.getHubs().getHubsV2025R0(new GetHubsV2025R0QueryParams.Builder().scope(\"all\").sort(\"name\").direction(GetHubsV2025R0QueryParamsDirectionField.ASC).build())"
          },
          {
            "lang": "node",
            "label": "List all Box Hubs",
            "source": "await client.hubs.getHubsV2025R0({\n  scope: 'all',\n  sort: 'name',\n  direction: 'ASC' as GetHubsV2025R0QueryParamsDirectionField,\n} satisfies GetHubsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "List all Box Hubs",
            "source": "client.hubs.get_hubs_v2025_r0(\n    scope=\"all\", sort=\"name\", direction=GetHubsV2025R0Direction.ASC\n)"
          }
        ]
      },
      "post": {
        "operationId": "post_hubs_v2025.0",
        "summary": "Create Box Hub",
        "description": "Creates a new Box Hub.",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returns a new Hub object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "400": {
            "description": "Returned if any of the request parameters are not valid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "403": {
            "description": "Returns an error when the user does not have the right permissions to create a Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Create Box Hub",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Hub Title\",\n       \"description\": \"This is a description of the Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Create Box Hub",
            "source": "await client.Hubs.CreateHubV2025R0Async(requestBody: new HubCreateRequestV2025R0(title: hubTitle) { Description = hubDescription });"
          },
          {
            "lang": "swift",
            "label": "Create Box Hub",
            "source": "try await client.hubs.createHubV2025R0(requestBody: HubCreateRequestV2025R0(title: hubTitle, description: hubDescription))"
          },
          {
            "lang": "java",
            "label": "Create Box Hub",
            "source": "client.getHubs().createHubV2025R0(new HubCreateRequestV2025R0.Builder(hubTitle).description(hubDescription).build())"
          },
          {
            "lang": "node",
            "label": "Create Box Hub",
            "source": "await client.hubs.createHubV2025R0({\n  title: hubTitle,\n  description: hubDescription,\n} satisfies HubCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Create Box Hub",
            "source": "client.hubs.create_hub_v2025_r0(hub_title, description=hub_description)"
          }
        ]
      }
    },
    "/enterprise_hubs": {
      "get": {
        "operationId": "get_enterprise_hubs_v2025.0",
        "summary": "List all Box Hubs for requesting enterprise",
        "description": "Retrieves all Box Hubs for a given enterprise.\n\nAdmins or Hub Co-admins of an enterprise with GCM scope can make this call.",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "description": "The query string to search for Box Hubs.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "Box"
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The field to sort results by. Possible values include `name`, `updated_at`, `last_accessed_at`, `view_count`, and `relevance`. Default is `relevance`.",
            "required": false,
            "schema": {
              "type": "string",
              "default": "relevance"
            },
            "example": "name"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "The direction to sort results in. This can be either in alphabetical ascending (`ASC`) or descending (`DESC`) order.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            "example": "ASC"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns all Box Hubs for the given user or enterprise.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hubs"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "curl -i -X GET \"https://api.box.com/2.0/enterprise_hubs\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "await client.Hubs.GetEnterpriseHubsV2025R0Async(queryParams: new GetEnterpriseHubsV2025R0QueryParams() { Sort = \"name\", Direction = GetEnterpriseHubsV2025R0QueryParamsDirectionField.Asc });"
          },
          {
            "lang": "swift",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "try await client.hubs.getEnterpriseHubsV2025R0(queryParams: GetEnterpriseHubsV2025R0QueryParams(sort: \"name\", direction: GetEnterpriseHubsV2025R0QueryParamsDirectionField.asc))"
          },
          {
            "lang": "java",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "client.getHubs().getEnterpriseHubsV2025R0(new GetEnterpriseHubsV2025R0QueryParams.Builder().sort(\"name\").direction(GetEnterpriseHubsV2025R0QueryParamsDirectionField.ASC).build())"
          },
          {
            "lang": "node",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "await client.hubs.getEnterpriseHubsV2025R0({\n  sort: 'name',\n  direction: 'ASC' as GetEnterpriseHubsV2025R0QueryParamsDirectionField,\n} satisfies GetEnterpriseHubsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "List all Box Hubs for requesting enterprise",
            "source": "client.hubs.get_enterprise_hubs_v2025_r0(\n    sort=\"name\", direction=GetEnterpriseHubsV2025R0Direction.ASC\n)"
          }
        ]
      }
    },
    "/hubs/{hub_id}": {
      "get": {
        "operationId": "get_hubs_id_v2025.0",
        "summary": "Get Box Hub information by ID",
        "description": "Retrieves details for a Box Hub by its ID.",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "The unique identifier that represent a hub.\n\nThe ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns a hub object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the hub is not found, or the user does not have access to the hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Hub information by ID",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get Box Hub information by ID",
            "source": "await client.Hubs.GetHubByIdV2025R0Async(hubId: hubId);"
          },
          {
            "lang": "swift",
            "label": "Get Box Hub information by ID",
            "source": "try await client.hubs.getHubByIdV2025R0(hubId: hubId)"
          },
          {
            "lang": "java",
            "label": "Get Box Hub information by ID",
            "source": "client.getHubs().getHubByIdV2025R0(hubId)"
          },
          {
            "lang": "node",
            "label": "Get Box Hub information by ID",
            "source": "await client.hubs.getHubByIdV2025R0(hubId);"
          },
          {
            "lang": "python",
            "label": "Get Box Hub information by ID",
            "source": "client.hubs.get_hub_by_id_v2025_r0(hub_id)"
          }
        ]
      },
      "put": {
        "operationId": "put_hubs_id_v2025.0",
        "summary": "Update Box Hub information by ID",
        "description": "Updates a Box Hub. Can be used to change title, description, or Box Hub settings.",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "The unique identifier that represent a hub.\n\nThe ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubUpdateRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns a Hub object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the Hub is not found, or the user does not have access to the Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Update Box Hub information by ID",
            "source": "curl -i -X PUT \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Updated Hub Title\",\n       \"description\": \"Updated description of the Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Update Box Hub information by ID",
            "source": "await client.Hubs.UpdateHubByIdV2025R0Async(hubId: hubId, requestBody: new HubUpdateRequestV2025R0() { Title = newHubTitle, Description = newHubDescription });"
          },
          {
            "lang": "swift",
            "label": "Update Box Hub information by ID",
            "source": "try await client.hubs.updateHubByIdV2025R0(hubId: hubId, requestBody: HubUpdateRequestV2025R0(title: newHubTitle, description: newHubDescription))"
          },
          {
            "lang": "java",
            "label": "Update Box Hub information by ID",
            "source": "client.getHubs().updateHubByIdV2025R0(hubId, new HubUpdateRequestV2025R0.Builder().title(newHubTitle).description(newHubDescription).build())"
          },
          {
            "lang": "node",
            "label": "Update Box Hub information by ID",
            "source": "await client.hubs.updateHubByIdV2025R0(hubId, {\n  title: newHubTitle,\n  description: newHubDescription,\n} satisfies HubUpdateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Update Box Hub information by ID",
            "source": "client.hubs.update_hub_by_id_v2025_r0(\n    hub_id, title=new_hub_title, description=new_hub_description\n)"
          }
        ]
      },
      "delete": {
        "operationId": "delete_hubs_id_v2025.0",
        "summary": "Delete Box Hub",
        "description": "Deletes a single Box Hub.",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "The unique identifier that represent a hub.\n\nThe ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "A blank response is returned if the hub was successfully deleted."
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the hub is not found or has already been deleted, or the user does not have access to the hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Delete Box Hub",
            "source": "curl -i -X DELETE \"https://api.box.com/2.0/hubs/12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Delete Box Hub",
            "source": "await client.Hubs.DeleteHubByIdV2025R0Async(hubId: hubId);"
          },
          {
            "lang": "swift",
            "label": "Delete Box Hub",
            "source": "try await client.hubs.deleteHubByIdV2025R0(hubId: hubId)"
          },
          {
            "lang": "java",
            "label": "Delete Box Hub",
            "source": "client.getHubs().deleteHubByIdV2025R0(hubId)"
          },
          {
            "lang": "node",
            "label": "Delete Box Hub",
            "source": "await client.hubs.deleteHubByIdV2025R0(hubId);"
          },
          {
            "lang": "python",
            "label": "Delete Box Hub",
            "source": "client.hubs.delete_hub_by_id_v2025_r0(hub_id)"
          }
        ]
      }
    },
    "/hubs/{hub_id}/copy": {
      "post": {
        "operationId": "post_hubs_id_copy_v2025.0",
        "summary": "Copy Box Hub",
        "description": "Creates a copy of a Box Hub.\n\nThe original Box Hub will not be modified.",
        "parameters": [
          {
            "name": "hub_id",
            "in": "path",
            "description": "The unique identifier that represent a hub.\n\nThe ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCopyRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returns a new Hub object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Hub"
                }
              }
            }
          },
          "403": {
            "description": "Returns an error when the user does not have the right permissions to create a Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hubs",
        "tags": [
          "Box Hubs"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Copy Box Hub",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hubs/12345/copy\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"title\": \"Copied Hub Title\",\n       \"description\": \"A copy of the original Box Hub.\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Copy Box Hub",
            "source": "await client.Hubs.CopyHubV2025R0Async(hubId: createdHub.Id, requestBody: new HubCopyRequestV2025R0() { Title = copiedHubTitle, Description = copiedHubDescription });"
          },
          {
            "lang": "swift",
            "label": "Copy Box Hub",
            "source": "try await client.hubs.copyHubV2025R0(hubId: createdHub.id, requestBody: HubCopyRequestV2025R0(title: copiedHubTitle, description: copiedHubDescription))"
          },
          {
            "lang": "java",
            "label": "Copy Box Hub",
            "source": "client.getHubs().copyHubV2025R0(createdHub.getId(), new HubCopyRequestV2025R0.Builder().title(copiedHubTitle).description(copiedHubDescription).build())"
          },
          {
            "lang": "node",
            "label": "Copy Box Hub",
            "source": "await client.hubs.copyHubV2025R0(createdHub.id, {\n  title: copiedHubTitle,\n  description: copiedHubDescription,\n} satisfies HubCopyRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Copy Box Hub",
            "source": "client.hubs.copy_hub_v2025_r0(\n    created_hub.id, title=copied_hub_title, description=copied_hub_description\n)"
          }
        ]
      }
    },
    "/hub_collaborations": {
      "get": {
        "operationId": "get_hub_collaborations_v2025.0",
        "summary": "Get Box Hub collaborations",
        "description": "Retrieves all collaborations for a Box Hub.",
        "parameters": [
          {
            "name": "hub_id",
            "in": "query",
            "description": "The unique identifier that represent a hub.\n\nThe ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "12345"
          },
          {
            "name": "marker",
            "in": "query",
            "description": "Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.\n\nThis requires `usemarker` to be set to `true`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of items to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "maximum": 1000
            },
            "example": 1000
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Retrieves the collaborations associated with the specified Box Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaborations"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the Box Hub is not found, or the user does not have access to the Box Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hub Collaborations"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Hub collaborations",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hub_collaborations?hub_id=12345\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get Box Hub collaborations",
            "source": "await client.HubCollaborations.GetHubCollaborationsV2025R0Async(queryParams: new GetHubCollaborationsV2025R0QueryParams(hubId: hub.Id));"
          },
          {
            "lang": "swift",
            "label": "Get Box Hub collaborations",
            "source": "try await client.hubCollaborations.getHubCollaborationsV2025R0(queryParams: GetHubCollaborationsV2025R0QueryParams(hubId: hub.id))"
          },
          {
            "lang": "java",
            "label": "Get Box Hub collaborations",
            "source": "client.getHubCollaborations().getHubCollaborationsV2025R0(new GetHubCollaborationsV2025R0QueryParams(hub.getId()))"
          },
          {
            "lang": "node",
            "label": "Get Box Hub collaborations",
            "source": "await client.hubCollaborations.getHubCollaborationsV2025R0({\n  hubId: hub.id,\n} satisfies GetHubCollaborationsV2025R0QueryParams);"
          },
          {
            "lang": "python",
            "label": "Get Box Hub collaborations",
            "source": "client.hub_collaborations.get_hub_collaborations_v2025_r0(hub.id)"
          }
        ]
      },
      "post": {
        "operationId": "post_hub_collaborations_v2025.0",
        "summary": "Create Box Hub collaboration",
        "description": "Adds a collaboration for a single user or a single group to a Box Hub.\n\nCollaborations can be created using email address, user IDs, or group IDs.",
        "parameters": [
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCollaborationCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returns a new Box Hub collaboration object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "403": {
            "description": "Returns an error when the user does not have the right permissions to create the collaboration.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hub Collaborations"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Create Box Hub collaboration",
            "source": "curl -i -X POST \"https://api.box.com/2.0/hub_collaborations\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"hub\": {\n         \"type\": \"hubs\",\n         \"id\": \"42037322\"\n       },\n       \"accessible_by\": {\n         \"type\": \"user\",\n         \"id\": \"23522323\"\n       },\n       \"role\": \"viewer\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Create Box Hub collaboration",
            "source": "await client.HubCollaborations.CreateHubCollaborationV2025R0Async(requestBody: new HubCollaborationCreateRequestV2025R0(hub: new HubCollaborationCreateRequestV2025R0HubField(id: hub.Id), accessibleBy: new HubCollaborationCreateRequestV2025R0AccessibleByField(type: \"user\") { Id = user.Id }, role: \"viewer\"));"
          },
          {
            "lang": "swift",
            "label": "Create Box Hub collaboration",
            "source": "try await client.hubCollaborations.createHubCollaborationV2025R0(requestBody: HubCollaborationCreateRequestV2025R0(hub: HubCollaborationCreateRequestV2025R0HubField(id: hub.id), accessibleBy: HubCollaborationCreateRequestV2025R0AccessibleByField(type: \"user\", id: user.id), role: \"viewer\"))"
          },
          {
            "lang": "java",
            "label": "Create Box Hub collaboration",
            "source": "client.getHubCollaborations().createHubCollaborationV2025R0(new HubCollaborationCreateRequestV2025R0(new HubCollaborationCreateRequestV2025R0HubField(hub.getId()), new HubCollaborationCreateRequestV2025R0AccessibleByField.Builder(\"user\").id(user.getId()).build(), \"viewer\"))"
          },
          {
            "lang": "node",
            "label": "Create Box Hub collaboration",
            "source": "await client.hubCollaborations.createHubCollaborationV2025R0({\n  hub: new HubCollaborationCreateRequestV2025R0HubField({ id: hub.id }),\n  accessibleBy: {\n    type: 'user',\n    id: user.id,\n  } satisfies HubCollaborationCreateRequestV2025R0AccessibleByField,\n  role: 'viewer',\n} satisfies HubCollaborationCreateRequestV2025R0);"
          },
          {
            "lang": "python",
            "label": "Create Box Hub collaboration",
            "source": "client.hub_collaborations.create_hub_collaboration_v2025_r0(\n    CreateHubCollaborationV2025R0Hub(id=hub.id),\n    CreateHubCollaborationV2025R0AccessibleBy(type=\"user\", id=user.id),\n    \"viewer\",\n)"
          }
        ]
      }
    },
    "/hub_collaborations/{hub_collaboration_id}": {
      "get": {
        "operationId": "get_hub_collaborations_id_v2025.0",
        "summary": "Get Box Hub collaboration by collaboration ID",
        "description": "Retrieves details for a Box Hub collaboration by collaboration ID.",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "The ID of the hub collaboration.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns a Box Hub collaboration object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "401": {
            "description": "Returned when the access token provided in the `Authorization` header is not recognized or not provided.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "404": {
            "description": "Returned if the Box Hub is not found, or the user does not have access to the Box Hub.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hub Collaborations"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "curl -i -X GET \"https://api.box.com/2.0/hub_collaborations/1234\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\""
          },
          {
            "lang": "dotnet",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "await client.HubCollaborations.GetHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id);"
          },
          {
            "lang": "swift",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "try await client.hubCollaborations.getHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id)"
          },
          {
            "lang": "java",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "client.getHubCollaborations().getHubCollaborationByIdV2025R0(createdCollaboration.getId())"
          },
          {
            "lang": "node",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "await client.hubCollaborations.getHubCollaborationByIdV2025R0(\n  createdCollaboration.id,\n);"
          },
          {
            "lang": "python",
            "label": "Get Box Hub collaboration by collaboration ID",
            "source": "client.hub_collaborations.get_hub_collaboration_by_id_v2025_r0(created_collaboration.id)"
          }
        ]
      },
      "put": {
        "operationId": "put_hub_collaborations_id_v2025.0",
        "summary": "Update Box Hub collaboration",
        "description": "Updates a Box Hub collaboration. Can be used to change the Box Hub role.",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "The ID of the hub collaboration.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HubCollaborationUpdateRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns an updated Box Hub collaboration object.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HubCollaboration"
                }
              }
            }
          },
          "403": {
            "description": "Returns an error if the authenticated user does not have the right permissions to update the collaboration.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
            "description": "An unexpected client error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          }
        },
        "x-box-tag": "hub_collaborations",
        "tags": [
          "Box Hub Collaborations"
        ],
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Update Box Hub collaboration",
            "source": "curl -i -X PUT \"https://api.box.com/2.0/hub_collaborations/1234\" \\\n     -H \"box-version: 2025.0\" \\\n     -H \"authorization: Bearer <ACCESS_TOKEN>\" \\\n     -H \"content-type: application/json\" \\\n     -d '{\n       \"role\": \"editor\"\n     }'"
          },
          {
            "lang": "dotnet",
            "label": "Update Box Hub collaboration",
            "source": "await client.HubCollaborations.UpdateHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id, requestBody: new HubCollaborationUpdateRequestV2025R0() { Role = \"editor\" });"
          },
          {
            "lang": "swift",
            "label": "Update Box Hub collaboration",
            "source": "try await client.hubCollaborations.updateHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id, requestBody: HubCollaborationUpdateRequestV2025R0(role: \"editor\"))"
          },
          {
            "lang": "java",
            "label": "Update Box Hub collaboration",
            "source": "client.getHubCollaborations().updateHubCollaborationByIdV2025R0(createdCollaboration.getId(), new HubCollaborationUpdateRequestV2025R0.Builder().role(\"editor\").build())"
          },
          {
            "lang": "node",
            "label": "Update Box Hub collaboration",
            "source": "await client.hubCollaborations.updateHubCollaborationByIdV2025R0(\n  createdCollaboration.id,\n  { role: 'editor' } satisfies HubCollaborationUpdateRequestV2025R0,\n);"
          },
          {
            "lang": "python",
            "label": "Update Box Hub collaboration",
            "source": "client.hub_collaborations.update_hub_collaboration_by_id_v2025_r0(\n    created_collaboration.id, role=\"editor\"\n)"
          }
        ]
      },
      "delete": {
        "operationId": "delete_hub_collaborations_id_v2025.0",
        "summary": "Remove Box Hub collaboration",
        "description": "Deletes a single Box Hub collaboration.",
        "parameters": [
          {
            "name": "hub_collaboration_id",
            "in": "path",
            "description": "The ID of the hub collaboration.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "1234"
          },
          {
            "$ref": "#/components/parameters/BoxVersionHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "A blank response is returned if the Box Hub collaboration was successfully deleted."
          },
          "404": {
            "description": "Returns an error if the Box Hub collaboration could not be found, or the authenticated user does not have access to the Box Hub collaboration.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "default": {
[...]
